package com.dsic.gj_erp.bean.sy;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.dsic.gj_erp.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author xhj
 * @since 2021-03-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="SyDictItem对象", description="")
@TableName("DM_ZHBMP")
public class SyDictItem implements Serializable {

    private static final long serialVersionUID=1L;


    @Dict(dictTable ="sy_dict",dictText = "dict_name",dictCode = "dict_code")
    @ApiModelProperty(value = "字典编码")
    @TableId("bmlb")
    private String dictCode;

    @ApiModelProperty(value = "字典项文本")
    @TableField("bmsm")
    private String itemCode;

    @ApiModelProperty(value = "字典项值")
    @TableField("bm")
    private String itemValue;

    @ApiModelProperty(value = "排序")
    @TableField("bm")
    private String sortNo;


}
